\begin{table}[]
\centering
\begin{tabular}{|l|l|l|l|l|}
\hline
1 Proc. X 1 hilo & 2x2      & 4x4      & 8x8      & 16x16    \\ \hline
4.083924         & 1.185311 & 0.358896 & 0.199595 & 0.239879 \\ \hline
4.089261         & 1.189184 & 0.357884 & 0.21891  & 0.207363 \\ \hline
4.085511         & 1.185299 & 0.369108 & 0.17633  & 0.19416  \\ \hline
4.08744          & 1.184302 & 0.367126 & 0.200998 & 0.216943 \\ \hline
4.077997         & 1.185637 & 0.358343 & 0.187624 & 0.227196 \\ \hline
\end{tabular}
\caption{My caption}
\label{my-label}
\end{table}